release_tracks: [ALPHA]
command_type: CONFIG_EXPORT
help_text:
  brief: Export the configuration for a Sqladmin instance.
  description: |
    *{command}* exports the configuration for a Sqladmin instance.

    Instance configurations can be exported in
    Kubernetes Resource Model (krm) or Terraform HCL formats. The
    default format is `krm`.

    Specifying `--all` allows you to export the configurations for all
    instances within the project.

    Specifying `--path` allows you to export the configuration(s) to
    a local directory.
  examples: |
    To export the configuration for an instance, run:

      $ {command} my-instance

    To export the configuration for an instance to a file, run:

      $ {command} my-instance --path=/path/to/dir/

    To export the configuration for an instance in Terraform
    HCL format, run:

      $ {command} my-instance --resource-format=terraform

    To export the configurations for all instances within a
    project, run:

      $ {command} --all
arguments:
  resource:
    help_text: Instance to export the configuration for.
    spec: !REF googlecloudsdk.command_lib.sql.resources:instance
